import { CompoundedComponent } from "@/types";
import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import { ports } from "../data";
import CustomInput from "../CustomInput";

const component = ({ node }: { node: Node }) => {
  const { label, styles } = node.getData();

  return (
    <>
      <div className="relative text-0 w-full h-full">
        <CustomInput value={label} styles={styles} node={node}/>
        <svg
          className="w-full h-full"
          viewBox="0 0 70 70"
          xmlns="http://www.w3.org/2000/svg"
        >
          <circle
            cx="35"
            cy="35"
            r="29"
            stroke="#323232"
            strokeWidth="2"
            fill="white"
          />
        </svg>
      </div>
    </>
  );
};

register({
  shape: "custom-react-circle",
  width: 70,
  height: 70,
  effect: ["data"],
  component: component,
});

const Circle: CompoundedComponent = {
  name: "圆形",
  icon: require("./image/circle.png"),
  node: {
    shape: "custom-react-circle",
    data: {
      label: "圆形",
    },
    ports,
  },
};

export default Circle;
