import { CompoundedComponent } from "@/types";
import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import { ports } from "../data";
import CustomInput from "../CustomInput";
const component = ({ node }: { node: Node }) => {
  const { label, styles } = node.getData();

  return (
    <div className="relative text-0 w-full h-full">
      <CustomInput value={label} styles={styles} node={node}/>
      <svg
        className="w-full h-full"
        viewBox="0 0 90 70"
        xmlns="http://www.w3.org/2000/svg"
      >
        <polygon points="45,2 88,35 45,68 2,35" fill="white" stroke="#323232" strokeWidth="2"/>
      </svg>
    </div>
  );
};

register({
  shape: "custom-react-diamond",
  width: 90,
  height: 70,
  effect: ["data"],
  component: component,
});

const Diamond: CompoundedComponent = {
  name: "菱形",
  icon: require("./image/diamond.png"),
  node: {
    shape: "custom-react-diamond",
    data: {
      label: "菱形",
    },
    ports,
  },
};

export default Diamond;
