import { CompoundedComponent } from "@/types";
import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import { ports } from "../data";
import CustomInput from "../CustomInput";

const component = ({ node }: { node: Node }) => {
  const { label, styles } = node.getData();

  return (
    <>
      <div className="relative text-0 w-full h-full">
        <CustomInput value={label} styles={styles} node={node}/>
        <svg
          className="w-full h-full"
          viewBox="0 0 100 50"
          xmlns="http://www.w3.org/2000/svg"
        >
          <rect
            x="2"
            y="2"
            width="96"
            height="46"
            rx="20"
            ry="26"
            fill="white"
            stroke="#323232"
            strokeWidth="2"
          />
        </svg>
      </div>
    </>
  );
};

register({
  shape: "custom-react-start",
  width: 100,
  height: 50,
  effect: ["data"],
  component: component,
});

const Start: CompoundedComponent = {
  name: "开始/结束",
  icon: require("./image/start.png"),
  node: {
    shape: "custom-react-start",
    data: {
      label: "开始",
    },
    ports,
  },
};

export default Start;
