import { CompoundedComponent } from "@/types";
import { register } from "@antv/x6-react-shape";
import { Node } from "@antv/x6";
import { ports } from "../data";
import CustomInput from "../CustomInput";

const component = ({ node }: { node: Node }) => {
  const { label, styles } = node.getData();

  return (
    <>
      <div className="relative text-0 w-full h-full">
        <CustomInput value={label} styles={styles} node={node}/>
        <svg
          className="w-full h-full"
          viewBox="0 0 80 70"
          xmlns="http://www.w3.org/2000/svg"
        >
          <polygon points="40,2 78,69 2,69" fill="white" stroke="#323232" strokeWidth="2"/>
        </svg>
      </div>
    </>
  );
};

register({
  shape: "custom-react-triangle",
  width: 80,
  height: 70,
  effect: ["data"],
  component: component,
});

const Triangle: CompoundedComponent = {
  name: "三角形",
  icon: require("./image/triangle.png"),
  node: {
    shape: "custom-react-triangle",
    data: {
      label: "三角形",
    },
    ports,
  },
};

export default Triangle;
