import { useState } from "react";

interface PageSettings {
  // 背景颜色
  backgroundColor: string;
  // 宽
  width: number;
  // 高
  height: number;
  // 显示网格
  grid: boolean;
  // 网格大小
  gridSize: number;
  // 显示跨线
  jumpover: boolean;
  // 显示打印分割线
  printLine: boolean;
  // 显示水印
  watermark: boolean;
  // 水印文字
  watermarkText: string;
}
export default function appModel() {
  // 隐藏/显示右侧面板
  const [showRightPanel, setShowRightPanel] = useState(true);
  const [pageState, setPageState] = useState<PageSettings>({
    backgroundColor: "transparent",
    width: 1200,
    height: 800,
    grid: true,
    gridSize: 15,
    jumpover: true,
    printLine: false,
    watermark: false,
    watermarkText: ""
  });

  // 收折右侧样式面板
  const toggleRightPanel = () => {
    setShowRightPanel(!showRightPanel);
  }

  const onChangePageSettings = (key: keyof PageSettings, value: any) => {
    console.log(key, value)
    setPageState((state) => {
      return {
        ...state,
        [key]: value
      }
    })
  }

  return {
    showRightPanel,
    toggleRightPanel,
    pageState,
    onChangePageSettings
  }
}