import { ConfigProvider, Tabs } from "antd";
import React from "react";
import PageStyle from "./PageStyle";
import GraphStyle from "./GraphStyle";

export default function Config() {
  const tabItems = [
    {
      key: "1",
      label: `页面样式`,
      children: (
        <ConfigProvider
          componentSize="small"
          theme={{
            token: {
              colorPrimary: "#1890ff",
            },
          }}
        >
          <PageStyle />
        </ConfigProvider>
      ),
    },
    {
      key: "2",
      label: `图形样式`,
      children: (
        <ConfigProvider
          componentSize="small"
          theme={{
            token: {
              colorPrimary: "#1890ff",
            },
          }}
        >
          <GraphStyle />
        </ConfigProvider>
      ),
    },
    {
      key: "3",
      label: `节点属性`,
      children: `Content of Tab Pane 2`,
    },
  ];

  return (
    <div>
      <Tabs centered items={tabItems} />
    </div>
  );
}
