import { CompressOutlined, ExpandOutlined, MinusOutlined, PlusOutlined, QuestionCircleFilled } from "@ant-design/icons";
import { Button, ConfigProvider, Divider, Slider, Tooltip } from "antd";
import React from "react";

export default function Footer() {
  return (
    <ConfigProvider componentSize="small">
      <div className="h-24px bg-white flex justify-between items-center px-16px">
        <div className="footer-left"></div>
        <div className="footer-right flex items-center">
          <div>图形：1/25</div>
          <Divider type="vertical" />
          <Tooltip title="模板">
            <Button type="text" icon={<i className="iconfont icon-buju" />} />
          </Tooltip>
          <Tooltip title="视图导航">
            <Button type="text" icon={<i className="iconfont icon-map" />} />
          </Tooltip>
          <Button type="text" icon={<PlusOutlined/>} />
          <Slider min={20} max={200} className="w-120px m-0 mx-8px" tooltip={{formatter: (val) => `${val}%`}}/>
          <Button type="text" icon={<MinusOutlined/>} />
          <div className="cursor-pointer mx-8px">100%</div>
          <Button type="text" icon={<ExpandOutlined/>} />
          <Button type="text" icon={<CompressOutlined/>} />
          <Divider type="vertical" />
          <Button type="text" icon={<QuestionCircleFilled/>} />
        </div>
      </div>
    </ConfigProvider>
  );
}
